/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/

#include "StdAfx.h"
#include "dialogeditshortcut.h"
#include "Kernel.h"


using namespace nf;
CDialogEditShortcut::CDialogEditShortcut(kr::tshortcut_info const &sh
										 , tstring const &ValueActivePanel
										 , tstring const &ValueInActivePanel
										 , bool bInsertMode
										 )
	: dialogT<CDialogEditShortcut>(g_PluginInfo, 12)
	, m_sh(sh)
	, m_ValueActivePanel(ValueActivePanel)
	, m_ValueInActivePanel(ValueInActivePanel)
	, m_bInsertMode(bInsertMode)
{
	SetDialogItems();
}

CDialogEditShortcut::~CDialogEditShortcut(void)
{
}

UINT CDialogEditShortcut::ShowModal()
{
	//    
	int nChoosedItem;

	::lstrcpy(m_DialogItems[ID_EDIT_CATALOG].Data, m_sh.catalog.c_str());
	::lstrcpy(m_DialogItems[ID_EDIT_SHORTCUT].Data, m_sh.shortcut.c_str());
	::lstrcpy(m_DialogItems[ID_EDIT_VALUE_ACTIVE].Data, m_ValueActivePanel.c_str());
	::lstrcpy(m_DialogItems[ID_EDIT_VALUE_INACTIVE].Data, m_ValueInActivePanel.c_str());
	m_DialogItems[ID_SHOW_ISTEMPORARY].Selected = m_sh.bIsTemporary ? 1 : 0;

	m_DialogItems[ID_EDIT_SHORTCUT].Focus = 1;

	if (Execute(nChoosedItem))
		if (nChoosedItem != ID_CANCEL)
		{	//  
			m_sh.catalog = m_DialogItems[ID_EDIT_CATALOG].Data;
			m_sh.shortcut = m_DialogItems[ID_EDIT_SHORTCUT].Data;
			m_ValueActivePanel = m_DialogItems[ID_EDIT_VALUE_ACTIVE].Data;
			m_ValueInActivePanel = m_DialogItems[ID_EDIT_VALUE_INACTIVE].Data;
			m_sh.bIsTemporary = m_DialogItems[ID_SHOW_ISTEMPORARY].Selected;

			return 1;
		}

		return 0;
}
