/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/

#include "StdAfx.h"
#include "dialogmove.h"
#include "Kernel.h"


using namespace nf;
CDialogMove::CDialogMove(TCHAR const* ItemName
						 , tstring const& DestinationCatalog
						 , bool bMoveCatalog
						 , bool bSeveralItems
						 , bool bCopyDialog)
: dialogT<CDialogMove>(g_PluginInfo, 10)
, m_ItemName(ItemName)
, m_bMoveCatalog(bMoveCatalog)
, m_bSeveralItems(bSeveralItems)
, m_bCopyDialog(bCopyDialog)
, m_DestinationCatalog(DestinationCatalog)
{
	SetDialogItems();
}

CDialogMove::~CDialogMove(void)
{
}


UINT CDialogMove::ShowModal()
{
	//    
	int nChoosedItem;
	
	::lstrcpy(m_DialogItems[ID_EDIT].Data, (m_DestinationCatalog + SLASH_CATS).c_str());
	m_DialogItems[ID_EDIT].Focus = 1;

	if (Execute(nChoosedItem))
		if (nChoosedItem != ID_CANCEL)
		{	//  
			m_ItemName = m_DialogItems[ID_EDIT].Data;
			return 1;
		}

	return 0;
}

